#include <Adafruit_Sensor.h>
#include <DHT.h>
#include <DHT_U.h>

#define DHTPIN    A2
#define DHTTYPE   DHT22
#define DHTPIN2   A1     
#define DHTTYPE2  DHT11

#define INA1      9  
#define INB1      10
#define INA2      5  
#define INB2      6

double tempp = 0;
uint32_t delayMS;

DHT_Unified dht(DHTPIN, DHTTYPE);
DHT dht2(DHTPIN2, DHTTYPE2);

void setup() {
  Serial.begin(9600);
// Initialize sensor
  dht.begin();
  dht2.begin();
  sensor_t sensor;
  
// Set delay between sensor readings based on sensor details.
  delayMS = sensor.min_delay / 1000;

// set fans pins
  pinMode(INA1,OUTPUT); 
  pinMode(INB1,OUTPUT);

  pinMode(INA2,OUTPUT); 
  pinMode(INB2,OUTPUT); 
  
  dht.temperature().getSensor(&sensor);
//  Serial.println(F("------------------------------------"));
//  Serial.println(F("Temperature Sensor"));

  dht.humidity().getSensor(&sensor);
//  Serial.println(F("------------------------------------"));
//  Serial.println(F("Humidity Sensor"));

}

void loop() {
  // Delay between measurements.
  delay(delayMS);


  // box sensor and fan
  float t1 = dht2.readTemperature();
  float h1 = dht2.readHumidity();
  Serial.println(t1);
  Serial.println(h1);

  if (t1 > 27.00) {
    // fan forward
    digitalWrite(INA2,LOW);
    analogWrite(INB2, 255);
  }
  else
    if (t1 > 26.00) {
        // fan forward, half speed
        digitalWrite(INA2,LOW);
        analogWrite(INB2, 128);
      }
      else {
        // fan stopped
        digitalWrite(INA2,LOW);
        analogWrite(INB2, LOW);
      }


  
  // outside sensor and fan
  sensors_event_t event;
  dht.temperature().getEvent(&event);
  if (isnan(event.temperature)) {
    Serial.println("Error reading temperature!");
  }
  else {
    tempp = event.temperature;
//    Serial.print("Temperature: ");
    Serial.println(tempp);
//    Serial.println("°C");
  }
  
  // Get humidity event and print its value.
  dht.humidity().getEvent(&event);
  if (isnan(event.relative_humidity)) {
    Serial.println("Error reading humidity!");
  }
  else {
//    Serial.print("Humidity: ");
    Serial.println(event.relative_humidity);
//    Serial.println("%");
  }

  if (tempp > 27.00) {
    // fan forward
    digitalWrite(INA1,LOW);
    analogWrite(INB1, 255);
  }
  else
    if (tempp > 26.00) {
        // fan forward, half speed
        digitalWrite(INA1,LOW);
        analogWrite(INB1, 128);
      }
      else {
        // fan stopped
        digitalWrite(INA1,LOW);
        analogWrite(INB1, LOW);
      }


  
//  // fan backward
//  analogWrite(INA, 255);
//  digitalWrite(INB,LOW); 

}
